{
        "name" : "RiotSummonerInfo",
        "displayName" : "RiotSummonerInfo",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.riot.SummonerInfoWorkitemHandler(\"apiKey\")",
        "documentation" : "riot-workitem/index.html",
        "module" : "riot-workitem",
        "icon" : "RiotSummonerInfo.png",
            "category" : "Riot Games",
            "description" : "Gather and use League of Legends data",
            "keywords" : [
                                "riot"
                ,"league"
                ,"legends"
                ,"summoner"
                ,"get"
                ,"info"

            ],
                "isaction" : "true",
                "actiontitle" : "Get Summoner info",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Riot Games api key"
                                           }

                ],
                "authreferencesite" : "https://developer.riotgames.com/api-keys.html",
            "parameters" : [
                                   {
                                       "name" : "SummonerPlatform",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "SummonerName",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "SummonerInfo",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "riot-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "RiotSummonerLastMatch",
        "displayName" : "RiotSummonerLastMatch",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.riot.LastSummonerMatchWorkitemHandler(\"apiKey\")",
        "documentation" : "riot-workitem/index.html",
        "module" : "riot-workitem",
        "icon" : "RiotSummonerLastMatch.png",
            "category" : "Riot Games",
            "description" : "Gather and use League of Legends data",
            "keywords" : [
                                "riot"
                ,"league"
                ,"legends"
                ,"summoner"
                ,"match"
                ,"get"
                ,"info"

            ],
                "isaction" : "true",
                "actiontitle" : "Get Summoner last match info",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Riot Games api key"
                                           }

                ],
                "authreferencesite" : "https://developer.riotgames.com/api-keys.html",
            "parameters" : [
                                   {
                                       "name" : "SummonerPlatform",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "SummonerName",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "LastMatch",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "riot-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "RiotMatchInfo",
        "displayName" : "RiotMatchInfo",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.riot.MatchesInfoWorkitemHandler(\"apiKey\")",
        "documentation" : "riot-workitem/index.html",
        "module" : "riot-workitem",
        "icon" : "RiotMatchInfo.png",
            "category" : "Riot Games",
            "description" : "Gather and use League of Legends data",
            "keywords" : [
                                "riot"
                ,"league"
                ,"legends"
                ,"summoner"
                ,"match"
                ,"get"
                ,"info"

            ],
                "isaction" : "true",
                "actiontitle" : "Get Match Info",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Riot Games api key"
                                           }

                ],
                "authreferencesite" : "https://developer.riotgames.com/api-keys.html",
            "parameters" : [
                                   {
                                       "name" : "SummonerPlatform",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "SummonerName",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "NumOfMatches",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "MatchesInfo",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "riot-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}

,
